
try {
    Import-Module -Name IISAdministration -SkipEditionCheck -ErrorAction Stop
} catch {
    Install-Module -Name IISAdministration -Repository PSGallery -Scope AllUsers -AllowClobber -Confirm:$false -Force
    Import-Module -Name IISAdministration -SkipEditionCheck
}
